image: python:3.7-alpine


test:
  stage: test
  script:
  - pip install --trusted-host pypi.org --trusted-host pypi.python.org --trusted-host files.pythonhosted.org -U sphinx
  - sphinx-build -b html . public
  only:
  - branches
  except:
  - master

pages:
  stage: deploy
  script:
  - pip install --trusted-host pypi.org --trusted-host pypi.python.org --trusted-host files.pythonhosted.org -U sphinx
  - sphinx-build -b html . public
  artifacts:
    paths:
    - public
  only:
  - master
